# Class AccountClient

#### Hierarchy

- AccountClient

- Defined in src/protobuf/GrpcServiceClientPb.ts:151

#####
Index

### Constructors

constructor

### Properties

client_
credentials_
hostname_
methodDescriptorAccountExists
methodDescriptorBackupAccount
methodDescriptorChangePassword
methodDescriptorCloseAccount
methodDescriptorCreateAccount
methodDescriptorDeleteAccount
methodDescriptorIsAccountOpen
methodDescriptorIsAppInitialized
methodDescriptorOpenAccount
methodDescriptorRestoreAccount
options_

### Methods

accountExists
backupAccount
changePassword
closeAccount
createAccount
deleteAccount
isAccountOpen
isAppInitialized
openAccount
restoreAccount

## Constructors

### constructor

- new AccountClient(hostname: string, credentials?: null | {
  [index: string]: string;
  }, options?: null | {
  [index: string]: any;
  }): AccountClient

- #### Parameters

  - ##### hostname: string

  - ##### `Optional` credentials: null | {
    [index: string]: string;
    }

  - ##### `Optional` options: null | {
    [index: string]: any;
    }

  #### Returns AccountClient

  - Defined in src/protobuf/GrpcServiceClientPb.ts:157

## Properties

### client_

client_: AbstractClientBase

- Defined in src/protobuf/GrpcServiceClientPb.ts:152

### credentials_

credentials_: null | {
[index: string]: string;
}

- Defined in src/protobuf/GrpcServiceClientPb.ts:154

### hostname_

hostname_: string

- Defined in src/protobuf/GrpcServiceClientPb.ts:153

### methodDescriptorAccountExists

methodDescriptorAccountExists: MethodDescriptor<AccountExistsRequest, AccountExistsReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:170

### methodDescriptorBackupAccount

methodDescriptorBackupAccount: MethodDescriptor<BackupAccountRequest, BackupAccountReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:514

### methodDescriptorChangePassword

methodDescriptorChangePassword: MethodDescriptor<ChangePasswordRequest, ChangePasswordReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:385

### methodDescriptorCloseAccount

methodDescriptorCloseAccount: MethodDescriptor<CloseAccountRequest, CloseAccountReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:428

### methodDescriptorCreateAccount

methodDescriptorCreateAccount: MethodDescriptor<CreateAccountRequest, CreateAccountReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:256

### methodDescriptorDeleteAccount

methodDescriptorDeleteAccount: MethodDescriptor<DeleteAccountRequest, DeleteAccountReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:471

### methodDescriptorIsAccountOpen

methodDescriptorIsAccountOpen: MethodDescriptor<IsAccountOpenRequest, IsAccountOpenReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:213

### methodDescriptorIsAppInitialized

methodDescriptorIsAppInitialized: MethodDescriptor<IsAppInitializedRequest, IsAppInitializedReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:342

### methodDescriptorOpenAccount

methodDescriptorOpenAccount: MethodDescriptor<OpenAccountRequest, OpenAccountReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:299

### methodDescriptorRestoreAccount

methodDescriptorRestoreAccount: MethodDescriptor<RestoreAccountRequest, RestoreAccountReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:536

### options_

options_: null | {
[index: string]: any;
}

- Defined in src/protobuf/GrpcServiceClientPb.ts:155

## Methods

### accountExists

- accountExists(request: AccountExistsRequest, metadata?: null | Metadata): Promise<AccountExistsReply>

- #### Parameters

  - ##### request: AccountExistsRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<AccountExistsReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:181
- accountExists(request: AccountExistsRequest, metadata: null | Metadata, callback: ((err: RpcError, response: AccountExistsReply) => void)): ClientReadableStream<AccountExistsReply>

- #### Parameters

  - ##### request: AccountExistsRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: AccountExistsReply) => void)

    - - (err: RpcError, response: AccountExistsReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: AccountExistsReply

        #### Returns void

  #### Returns ClientReadableStream<AccountExistsReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:185

### backupAccount

- backupAccount(request: BackupAccountRequest, metadata?: Metadata): ClientReadableStream<BackupAccountReply>

- #### Parameters

  - ##### request: BackupAccountRequest

  - ##### `Optional` metadata: Metadata

  #### Returns ClientReadableStream<BackupAccountReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:525

### changePassword

- changePassword(request: ChangePasswordRequest, metadata?: null | Metadata): Promise<ChangePasswordReply>

- #### Parameters

  - ##### request: ChangePasswordRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<ChangePasswordReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:396
- changePassword(request: ChangePasswordRequest, metadata: null | Metadata, callback: ((err: RpcError, response: ChangePasswordReply) => void)): ClientReadableStream<ChangePasswordReply>

- #### Parameters

  - ##### request: ChangePasswordRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: ChangePasswordReply) => void)

    - - (err: RpcError, response: ChangePasswordReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: ChangePasswordReply

        #### Returns void

  #### Returns ClientReadableStream<ChangePasswordReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:400

### closeAccount

- closeAccount(request: CloseAccountRequest, metadata?: null | Metadata): Promise<CloseAccountReply>

- #### Parameters

  - ##### request: CloseAccountRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<CloseAccountReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:439
- closeAccount(request: CloseAccountRequest, metadata: null | Metadata, callback: ((err: RpcError, response: CloseAccountReply) => void)): ClientReadableStream<CloseAccountReply>

- #### Parameters

  - ##### request: CloseAccountRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: CloseAccountReply) => void)

    - - (err: RpcError, response: CloseAccountReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: CloseAccountReply

        #### Returns void

  #### Returns ClientReadableStream<CloseAccountReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:443

### createAccount

- createAccount(request: CreateAccountRequest, metadata?: null | Metadata): Promise<CreateAccountReply>

- #### Parameters

  - ##### request: CreateAccountRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<CreateAccountReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:267
- createAccount(request: CreateAccountRequest, metadata: null | Metadata, callback: ((err: RpcError, response: CreateAccountReply) => void)): ClientReadableStream<CreateAccountReply>

- #### Parameters

  - ##### request: CreateAccountRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: CreateAccountReply) => void)

    - - (err: RpcError, response: CreateAccountReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: CreateAccountReply

        #### Returns void

  #### Returns ClientReadableStream<CreateAccountReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:271

### deleteAccount

- deleteAccount(request: DeleteAccountRequest, metadata?: null | Metadata): Promise<DeleteAccountReply>

- #### Parameters

  - ##### request: DeleteAccountRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<DeleteAccountReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:482
- deleteAccount(request: DeleteAccountRequest, metadata: null | Metadata, callback: ((err: RpcError, response: DeleteAccountReply) => void)): ClientReadableStream<DeleteAccountReply>

- #### Parameters

  - ##### request: DeleteAccountRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: DeleteAccountReply) => void)

    - - (err: RpcError, response: DeleteAccountReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: DeleteAccountReply

        #### Returns void

  #### Returns ClientReadableStream<DeleteAccountReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:486

### isAccountOpen

- isAccountOpen(request: IsAccountOpenRequest, metadata?: null | Metadata): Promise<IsAccountOpenReply>

- #### Parameters

  - ##### request: IsAccountOpenRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<IsAccountOpenReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:224
- isAccountOpen(request: IsAccountOpenRequest, metadata: null | Metadata, callback: ((err: RpcError, response: IsAccountOpenReply) => void)): ClientReadableStream<IsAccountOpenReply>

- #### Parameters

  - ##### request: IsAccountOpenRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: IsAccountOpenReply) => void)

    - - (err: RpcError, response: IsAccountOpenReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: IsAccountOpenReply

        #### Returns void

  #### Returns ClientReadableStream<IsAccountOpenReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:228

### isAppInitialized

- isAppInitialized(request: IsAppInitializedRequest, metadata?: null | Metadata): Promise<IsAppInitializedReply>

- #### Parameters

  - ##### request: IsAppInitializedRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<IsAppInitializedReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:353
- isAppInitialized(request: IsAppInitializedRequest, metadata: null | Metadata, callback: ((err: RpcError, response: IsAppInitializedReply) => void)): ClientReadableStream<IsAppInitializedReply>

- #### Parameters

  - ##### request: IsAppInitializedRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: IsAppInitializedReply) => void)

    - - (err: RpcError, response: IsAppInitializedReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: IsAppInitializedReply

        #### Returns void

  #### Returns ClientReadableStream<IsAppInitializedReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:357

### openAccount

- openAccount(request: OpenAccountRequest, metadata?: null | Metadata): Promise<OpenAccountReply>

- #### Parameters

  - ##### request: OpenAccountRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<OpenAccountReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:310
- openAccount(request: OpenAccountRequest, metadata: null | Metadata, callback: ((err: RpcError, response: OpenAccountReply) => void)): ClientReadableStream<OpenAccountReply>

- #### Parameters

  - ##### request: OpenAccountRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: OpenAccountReply) => void)

    - - (err: RpcError, response: OpenAccountReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: OpenAccountReply

        #### Returns void

  #### Returns ClientReadableStream<OpenAccountReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:314

### restoreAccount

- restoreAccount(request: RestoreAccountRequest, metadata?: null | Metadata): Promise<RestoreAccountReply>

- #### Parameters

  - ##### request: RestoreAccountRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<RestoreAccountReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:547
- restoreAccount(request: RestoreAccountRequest, metadata: null | Metadata, callback: ((err: RpcError, response: RestoreAccountReply) => void)): ClientReadableStream<RestoreAccountReply>

- #### Parameters

  - ##### request: RestoreAccountRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: RestoreAccountReply) => void)

    - - (err: RpcError, response: RestoreAccountReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: RestoreAccountReply

        #### Returns void

  #### Returns ClientReadableStream<RestoreAccountReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:551

Generated using TypeDoc